950695399_1ef62c8055_b

How to install and package Frei0r plugins using FPM

To get the Alpha Shapes effect in Kdenlive you need install the Frei0r alphaspot filter.

This filter is experimental and not included in older Ubuntu release of the Frei0r plugin (recent versions of Ubuntu do contain these plugins). So the plugin needs to be compiled from source.

I decided to make a deb package with FPM as well, so I wouldn’t have to repeat the process. This post documents entire process if I ever do need to do it again.

If you just want the deb package it is linked at the bottom of this post.

Compiling

Following the instructions to compile Frei0r off the Kdenlive site.

First, we need to make sure the plugins from the repositories are not installed, then we need to install the libraries required compile Frei0r.

$ sudo aptitude purge frei0r-plugins frei0r-plugins-dev frei0r-plugins-doc
$ sudo aptitude install libcv-dev libgavl-dev libhighgui-dev libcvaux-dev cmake

Now we are ready to check out and compile.

$ mkdir compile
$ cd compile
$ mkdir bin
$ git clone git://git.dyne.org/frei0r.git
$ cd frei0r
$ mkdir build
$ cd build && cmake .. -DCMAKE_INSTALL_PREFIX=/usr && make -j3

Here we stop, instead of just plain make install we want to install the plugins to the bin directory we created earlier so we can package them.

Packaging

This part follows the FPM instructions on PackageMakeInstall.

We also strip the debug symbols from the compiled plugins. It makes for a smaller, happier deb package. It also prevents the Lintian error “unstripped binary or object”.

Finally we go to directory where we want the create the deb package.

$ make install DESTDIR=/path/to/bin
$ cd /path/to/bin/usr/lib/frei0r-1/
$ strip *.so
$ cd /path/to/bin/..

Now we can create the deb package. I wrote this script to do it for me. The only thing you will need to change is the -C /home/krokodil/src/bin which should be the destination of your make install.

Download Package

You can download the deb package from the link below. If you are running a more recent version of Ubuntu (Utopic 14.10+) there is a good chance these plugins are already available in the repository version, so check that first.

Compiled on Linux Mint 16 Petra – Linux 3.11.0-12-generic #19-Ubuntu SMP Wed Oct 9 16:20:46 UTC 2013 x86_64. It works for me.

Use at own risk, I am not responsible for any damages caused by using this package or the plugins therein.

frei0rplugins-1.4_amd64.deb.

Leave a Reply

Your email address will not be published. Required fields are marked *